// JavaScript Document

// 内置CSS
var innerCSS =
[
	"public.css"
];

// 内置JS
var innerJS = 
[
	"model.js",
	"abstract.js",
	"variable.js",
	"event.js",
	"create.js",
	"create_anim.js",
	"interface.js",
	"extra.js"
];

// 动态加载CSS的方法
function dynamicLoadCSSFile(filename)
{
	if (typeof filename == "undefined" || filename == null || filename == "")
	{ // 末定义退出
		return;
	}
	var cssObj = document.createElement("link");
	cssObj.setAttribute("rel", "stylesheet");
	cssObj.setAttribute("type", "text/css");
	cssObj.setAttribute("href", filename);
    document.getElementsByTagName("head")[0].appendChild(cssObj);
}

// 动态加载JS的方法
function dynamicLoadJSFile(filename)
{
	if (typeof filename == "undefined" || filename == null || filename == "")
	{ // 末定义退出
		return;
	}
	var jsObj = document.createElement("script");
	jsObj.setAttribute("type", "text/javascript");
    jsObj.setAttribute("src", filename);
    document.getElementsByTagName("head")[0].appendChild(jsObj);
}

// 解析头文件
function analysisHead()
{
	// 增加HTML显示宽高
	var meta = document.createElement("meta");
	meta.setAttribute("name", "viewport");
	meta.setAttribute("content", "width=" + defWidth + ", height=" + defHeight);	
	document.getElementsByTagName("head")[0].appendChild(meta);
	// 导入内置CSS
	var cssArr = innerCSS;
	for (var i=0; i<cssArr.length; i++)
	{
		dynamicLoadCSSFile(cssArr[i]);
	}
	// 导入内置JS
	var jsArr = innerJS;	
	for (var i=0; i<jsArr.length; i++)
	{
		dynamicLoadJSFile(jsArr[i]);
	}
	//
	if (typeof pageJson == "undefined")
	{ // 没有此对象
		return;
	}
	var htmlHead = pageJson.KLHEAD;
	document.title = htmlHead.title;
	var css = htmlHead.css;
	var js = htmlHead.js;
	// 导入json中的js css
	for (var i = 0; i < css.length; i++)
	{
		dynamicLoadCSSFile(css[i]);
	}
	for (var i = 0; i < js.length; i++)
	{
		dynamicLoadJSFile(js[i]);
	}
}

// 去分析KLHEAD元素 加载js 加载css
analysisHead();